List role assignments for a user
Retrieves a list of all roles assigned to the specific user within the tenant.
get/tenants/{tenantUid}/users/{tenantUserUid}/roles
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+tenantUserUidstringRequiredPattern:
Reference to a TenantUser.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Responses
200
List of tenant user role assignments
application/json
get/tenants/{tenantUid}/users/{tenantUserUid}/roles
GET /v2/tenants/{tenantUid}/users/{tenantUserUid}/roles HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
List of tenant user role assignments
{
"items": [
{
"tenantRole": {
"name": "text",
"tenantRoleUid": "text",
"isSystemRole": true
},
"organization": {
"name": "text",
"organizationUid": "text"
},
"store": {
"name": "text",
"storeUid": "text",
"organizationUid": "text",
"organizationName": "text"
},
"assignedAt": "2026-01-01T00:00:00.000Z",
"assignedBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"tenantUserRoleAssignmentUid": "text",
"isSystemRole": true
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

